import { AllergyIcon, PetsIcon, WheelchairIcon } from "@/components/Icons"

import {
  RoomPackageCodeEnum,
  type RoomPackageCodes,
} from "@/types/components/hotelReservation/selectRate/roomFilter"

export function getIconForFeatureCode(featureCode: RoomPackageCodes) {
  switch (featureCode) {
    case RoomPackageCodeEnum.ACCESSIBILITY_ROOM:
      return WheelchairIcon
    case RoomPackageCodeEnum.ALLERGY_ROOM:
      return AllergyIcon
    case RoomPackageCodeEnum.PET_ROOM:
      return PetsIcon
    default:
      return PetsIcon
  }
}
